Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventChannelAdmin::SupplierAdmin Interface Reference

Abstract Factory used to create proxies for pull-style and push-style suppliers. More...

`import "CosEventChannelAdmin.idl";`

List of all members.

## Public Methods
ProxyPushConsumer | obtain_push_consumer ()
| Create a new ProxyPushConsumer object.
ProxyPullConsumer | obtain_pull_consumer ()
| Create a new ProxyPullConsumer object.

## Detailed Description

Abstract Factory used to create proxies for pull-style and push-style suppliers.

## Member Function Documentation

ProxyPullConsumer CosEventChannelAdmin::SupplierAdmin::obtain_pull_consumer | ( |  | ) |

| Create a new ProxyPullConsumer object.

ProxyPushConsumer CosEventChannelAdmin::SupplierAdmin::obtain_push_consumer | ( |  | ) |

| Create a new ProxyPushConsumer object.

The documentation for this interface was generated from the following file:

- CosEventChannelAdmin.idl